From 8310ea21bc9991736da2ec9c730931cea95186e5 Mon Sep 17 00:00:00 2001
From: nakst <>
Date: Tue, 14 Dec 2021 11:27:38 +0000
Subject: [PATCH] add check for nasm

---
 start.sh     | 7 +++++++
 util/build.c | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

diff --git a/start.sh b/start.sh
index b6edc10..e729ee9 100755
--- a/start.sh
+++ b/start.sh
@@ -54,6 +54,13 @@ if [ ! -f "bin/good_compiler.txt" ]; then
 	echo yes > "bin/good_compiler.txt"
 fi
 
+# Check nasm is available.
+nasm --version > /dev/null
+if [ $? -ne 0 ]; then
+	echo "Error: Missing nasm."
+	exit
+fi
+
 # Compile and run Build.
 gcc -o bin/build -g util/build.c -pthread -DPARALLEL_BUILD -D${ES_TARGET-TARGET_X86_64} \
 		-Wall -Wextra -Wno-format-security -Wno-format-overflow -Wno-missing-field-initializers -Wno-unused-function -Wno-format-truncation \
diff --git a/util/build.c b/util/build.c
index cabc8ca..7481d43 100644
--- a/util/build.c
+++ b/util/build.c
@@ -1746,7 +1746,7 @@ int main(int _argc, char **_argv) {
 	printf("Enter 'help' to get a list of commands.\n");
 	char *prev = NULL;
 
-	canBuildLuigi = !CallSystem("gcc -o bin/luigi.h.gch util/luigi.h -D UI_IMPLEMENTATION -D UI_LINUX");
+	canBuildLuigi = !CallSystem("gcc -o bin/luigi.h.gch util/luigi.h -D UI_IMPLEMENTATION -D UI_LINUX 2> /dev/null");
 
 	while (true) {
 		char *l = NULL;